Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Messages

Send Message

POST
/v1/messages/send

To send a Template, pass either template_version_id to send that exact version, or template_id to send the version the channel sends for that Template, but not both. On WhatsApp that is the newest published version approved for the channel's provider, or the newest published version while the conversation's session is open; on every other channel it is the newest published version.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

include?array<"attachments" | "external_attachments" | "to" | "cc" | "bcc" | "actions" | "author">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

id?string

Unique identifier for the resource.

Formatuuid
conversation_id?string

Unique identifier of the related conversation.

Formatuuid
conversation_status?"archived" | "closed" | "open"

Conversation Status value for this resource.

channel_id*string

Unique identifier of the related channel.

Formatuuid
to?array<>

To value for this resource.

cc?array<>

CC value for this resource.

bcc?array<>

BCC value for this resource.

text?string

Text value for this resource.

Length1 <= length
html?string

HTML value for this resource.

Length1 <= length
content?|

Content value for this resource.

subject?string

Subject value for this resource.

footer?string

Footer value for this resource.

header_media_filename?|

Header Media Filename value for this resource.

template_version_id?string

Unique identifier of the related template version.

Formatuuid
template_id?string

Unique identifier of the related template.

Formatuuid
placeholder_values?array<string>

Placeholder Values value for this resource.

attachment_file_ids?array<>

Attachment File Ids value for this resource.

actions?array<>

Actions value for this resource.

reply_to_message_id?string

Unique identifier of the related reply to message.

Formatuuid
send_after?string

Send After value for this resource.

Formatdate-time

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/messages/send" \  -H "Content-Type: application/json" \  -d '{    "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "external_id": "string",  "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407",  "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2",  "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",  "channel_type": "email",  "template_version_id": "0ba39c92-1f1b-4c32-aa3e-9925d7713eb1",  "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f",  "is_inbound": true,  "status": "answered",  "error": {    "code": "string",    "message": "string"  },  "timestamp": "2019-08-24T14:15:22Z",  "sent_at": "2019-08-24T14:15:22Z",  "send_after": "2019-08-24T14:15:22Z",  "subject": "string",  "content": {    "type": "root",    "children": [      {        "type": "text",        "content": "string",        "bold": true,        "underline": true,        "strikethrough": true,        "italic": true      }    ],    "style": {      "color": "string",      "fontSize": 0,      "fontFamily": "string",      "alignment": "left"    }  },  "footer": "string",  "forwarded": true,  "placeholder_values": [    "string"  ],  "attachments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "purpose": "string",      "filename": "string",      "content_type": "string",      "size": 9007199254740991,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "external_attachments": [    {      "type": "string",      "url": "string"    }  ],  "to": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "full_name": "string",      "handle": "string",      "role": "bcc",      "status": "answered",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598"    }  ],  "cc": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "full_name": "string",      "handle": "string",      "role": "bcc",      "status": "answered",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598"    }  ],  "bcc": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "full_name": "string",      "handle": "string",      "role": "bcc",      "status": "answered",      "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598"    }  ],  "actions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "call_to_action",      "subtype": "phone_number",      "text": "string",      "data": "string",      "index": -9007199254740991,      "clicked": true    }  ],  "author": {    "type": "employee",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"  }}